Quel système pour iMac 21,5 pouces mi-2011 ? [Résolu]

Signaler
Messages postés
66
Date d'inscription
mercredi 16 septembre 2009
Statut
Membre
Dernière intervention
1 septembre 2020
-
Messages postés
26621
Date d'inscription
jeudi 5 avril 2007
Statut
Contributeur
Dernière intervention
1 septembre 2020
-
Bonjour,

J'ai un iMac 21,5 pouces de mai 2011, avec sa configuration standard :

4 Go de RAM
Intel Core i5-2400S (2,5 Ghz)
HDD 7200 tours / min

Il est actuellement sous Lion (10.7.5) et fait un peu obsolète niveau système et applis.

Avec sa configuration actuelle, quel Os me conseilleriez-vous tout en profitant au mieux de cette machine ? Il est compatible avec Sierra et High Sierra, mais est-ce qu'il ne prendra pas un coup niveau performances ? Ou alors avec un upgrade RAM / SSD ?
Je pensais sinon à El Capitan en l'état comme compromis.

Voilà, dans l'attente de lire vos avis !

Merci à tous.

5 réponses

Messages postés
26621
Date d'inscription
jeudi 5 avril 2007
Statut
Contributeur
Dernière intervention
1 septembre 2020
4 606
Bonjour,

Cet iMac peut aller jusqu'à Mac OS X 10.13.6 et peut recevoir jusqu'à 32 Go de mémoire, soit 4 barrettes de 8 Go de type 204-pin PC3-10600 (1333 MHz) DDR3 SO-DIMM.
Pour un fonctionnement fluide sous les OS modernes, à partir de 10.10, Apple dit que 4 Go suffisent mais, avec cette quantité, les Mac se traînent !
Il vaut donc mieux avoir un minimum de 8 Go. Ton iMac ayant 4 Go actuellement, soit deux barrettes de 2 Go, si tu ajoutes 2 barrettes de 4 Go, sur les deux connecteurs libres, tu auras 12 Go et là, tu seras à l'aise.
Si, en plus, tu installes un SSD de 1 To, tu auras la vitesse et la place pour stocker, leurs prix les rendent très abordables.

Installation RAM iMac

https://support.apple.com/fr-fr/HT201191

Si tu veux d'abord passer sous El Capitan, tu vas là :

https://itunes.apple.com/app/os-x-el-capitan/id1147835434?mt=12

Ou en suivant les instructions ici:
https://support.apple.com/fr-fr/HT206886

Il est possible que tu aies des problèmes d'installation, les certificats n’étant plus valables depuis octobre 2019 voir ici :

https://www.journaldulapin.com/2018/08/10/mavericks-date-verification/ tu trouveras pour El Capitan

Passer à High Sierra :

https://support.apple.com/fr-fr/HT208969

Cordialement

PS : des messages à voir :

https://www.commentcamarche.net/forum/affich-36518352-probleme-mac-osx-el-capitan-ne-s-est-pas-installe-sur-mon-macbook

https://www.commentcamarche.net/forum/affich-36510486-besoin-d-os-el-capitan-ou-maverick-pour-macbookpro-2009-bloque-en-recovery

https://forums.commentcamarche.net/forum/affich-36644405-installation-mac-os-el-capitan-impossible

PS2 : Pour les applications, celles qui tournent sous 10.7 devraient tourner sous 10.11, après mises à jour éventuelles. Pour les périphériques (imprimantes, scanners...) idem si les pilotes ont été actualisés par les fabricants.

Quand c'est urgent, il est déjà trop tard (Talleyrand)
Quand tout a échoué, lire le manuel ;)
Messages postés
66
Date d'inscription
mercredi 16 septembre 2009
Statut
Membre
Dernière intervention
1 septembre 2020
1
Bonjour dede74000,

Un immense merci pour cette réponse très complète !
Je m'y attaque ce week-end, je vais commencer par essayer de le mettre à jour vers El Capitan dans l'immédiat. Et je garde précieusement tes liens et tes conseils, ainsi que l'idée de l'upgrade RAM et SSD. Merci beaucoup !
Messages postés
2977
Date d'inscription
jeudi 4 avril 2013
Statut
Membre
Dernière intervention
24 août 2020
727
Bonjour,

Ram nécessaire: El Capitan et high sierra 2 Go donc ça devrait être bon. Par contre l'installation de High Sierra nécessite de passer par Mountain Lion.

Attention: une mise à jour trop étendue risque de rendre certaines de vos applications inutilisables.
Messages postés
37689
Date d'inscription
mardi 2 octobre 2007
Statut
Modérateur
Dernière intervention
1 septembre 2020
9 943
Bonjour,

Ram nécessaire: El Capitan et high sierra 2 Go donc ça devrait être bon. Par contre l'installation de High Sierra nécessite de passer par Mountain Lion.

Attention: une mise à jour trop étendue risque de rendre certaines de vos applications inutilisables.


Une ram de 2 Go ne suffit pas pour High Sierra ou El Capitan. Comme dede l'a dit, il faut au moins 8 Go pour que le Mac ne se traine pas lamentablement. Et 12 Go c'est encore mieux.

De plus, Il est inutile de passer par Mountain Lion, il suffit de télécharger High Sierra et de se faire une clé USB pour procéder à une installation toute neuve.

https://www.commentcamarche.net/faq/47030-creer-une-cle-usb-d-installation-de-macos-sierra

Enfin, les applications qui fonctionnent sous Lion, fonctionneront sous High Sierra.

dede a donné une réponse correcte plus haut.

Cdt.
Messages postés
66
Date d'inscription
mercredi 16 septembre 2009
Statut
Membre
Dernière intervention
1 septembre 2020
1
Bonjour Alex,

C'est noté !
Ok, je vais faire le tour des applications pour vérifier les compatibilités et je pense m'arrêter dans un premier temps à El Capitan pour voir.

Merci !
Messages postés
66
Date d'inscription
mercredi 16 septembre 2009
Statut
Membre
Dernière intervention
1 septembre 2020
1
Merci à tous pour votre aide.
J'ai téléchargé El Capitan sur l'Apple store avec le lien de dede, lancé l'installation... Au début, tout se passait bien. Mais l'install a planté en plein milieu avec le message : OS X n'a pas pu être installé sur l'ordinateur. Aucun paquet n'a été installé. Contactez l'éditeur du logiciel.

Et l'installation redémarre et replante en boucle maintenant, je n'arrive même plus à booter sur Lion installé précédemment :s

Messages postés
66
Date d'inscription
mercredi 16 septembre 2009
Statut
Membre
Dernière intervention
1 septembre 2020
1
Pas de panique ! J'ai peut-être trouvé une bidouille ! J'attends de voir le résultat et je repasse donner des nouvelles !
Messages postés
26621
Date d'inscription
jeudi 5 avril 2007
Statut
Contributeur
Dernière intervention
1 septembre 2020
4 606
Relis mon message N° 3 tu as toutes les explications pour ce problème.
Ne fais pas n'importe quoi !
Messages postés
66
Date d'inscription
mercredi 16 septembre 2009
Statut
Membre
Dernière intervention
1 septembre 2020
1 >
Messages postés
26621
Date d'inscription
jeudi 5 avril 2007
Statut
Contributeur
Dernière intervention
1 septembre 2020

C'était bien ça, merci encore dede74000.
Le programme d'installation d'El Capitan avait un Terminal, donc je n'arrivais pas à sortir, je l'ai utilisé pour modifier la date du système avec la commande date
J'ai mis l'année 2015, relancé l'installation et tout a bien fonctionné. L'heure système s'est par la suite re-réglée toute seule.

C'est bon ! l'iMac est bien passé sous El Capitan !

Merci à tous pour ce coup de main :)
Messages postés
26621
Date d'inscription
jeudi 5 avril 2007
Statut
Contributeur
Dernière intervention
1 septembre 2020
4 606 >
Messages postés
66
Date d'inscription
mercredi 16 septembre 2009
Statut
Membre
Dernière intervention
1 septembre 2020

Et bien voilà, quand on sait tout est facile ;-)
Bonne suite et, si tu veux passer à High Sierra, tu sais comment faire.